﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebAjax.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="js/jquery-1.8.3.min.js"></script>
    <script>
        //1、Hello
        function Hello() {
            var mes = "ninhao";
            $.ajax({
                type: "get",
                //type: "POST",
                url: "http://localhost:8883/DBServer/hello?mes=" + mes,
                //url: "http://localhost:8883/DBServer/hello",  //post方式时的地址
                dataType: "json",
                //data: '{"mes":"nihao"}',  //post方式是传递的输入参数
                contentType: 'text/json',
                success: function (data) {
                    alert("successful to get data:" + data.d);
                },
                error: function (data) {
                    alert(data.statusText);
                },
            });
        }

        //2、Add
        function Add() {
            $.ajax({
                type: "POST",
                url: "http://localhost:8883/DBServer/Add",
                dataType: "json",
                contentType: 'text/json',
                data: '{"x":1,"y":2}',
                success: function (data) {
                    alert("successful:" + data.d);
                },
                error: function (data) {
                    alert(data.statusText);
                },
            });
        }

        //3、获取用户list，添加到table后面
        function getlist() {
            $.ajax({
                type: "get",
                url: "http://localhost:8883/DBServer/getlist",
                dataType: "json",
                contentType: 'text/json',
                success: function (data) {
                    var html = "";
                    $.each(data.d, function (index, item) {
                        var name = item.Name;
                        var age = item.Age;
                        html += "<tr><td>" + name + "</td><td>" + age + "</td></tr>";
                    });
                    //三种形式等价
                    //$("#mytable").after(html);
                    //$("#mytable tr").eq(0).after(html);
                    $("table tr:eq(0)").after(html);

                },
                error: function (data) {
                    alert(data.statusText);
                },
            });
        }



    </script>
</head>
<body>
    <%--<form id="form1" runat="server">--%>   <%--特别注意此处要注释掉，不然getlist看不到效果，table添加新行后立马就消失了--%>
    <div>
        <button onclick="Hello()">Hello get </button>

        <button onclick="Add()">Add post</button>
        <button onclick="getlist()">GetList get</button>


        <br />
        <br />
        <table id="mytable">
            <tr>
                <td>Name</td>
                <td>Age</td>
            </tr>
            <tr>
                <td>Name</td>
                <td>Age</td>
            </tr>
        </table>
       
    </div>

</body>
</html>
